<?php

	$timezone = new DateTimeZone('Europe/Brussels');
	
	$includesDir = '/mnt/imagestore/rumores.eu/delijnincludes/';
	
	/*** API's ***/
	require($includesDir.'/ApiRequest.php');
	require($includesDir.'/ApiCoreRequest.php');
	require($includesDir.'/ApiSearchRequest.php');
	
	require($includesDir.'/SearchQuery.php');
	
	/*** HTML tools and UIs ***/
	require($includesDir.'/HTMLTools.php');
	require($includesDir.'/UI.php');
	
	require($includesDir.'/Infoboard.php');
	require($includesDir.'/StopInfoboard.php');
	require($includesDir.'/LineInfoboard.php');

	require($includesDir.'/ResultsInterface.php');
	
	require($includesDir.'/SearchUI.php');
	
	/*** Public transport elements ***/
	require($includesDir.'/PTElement.php');
	require($includesDir.'/PTLine.php');
	require($includesDir.'/PTStop.php');
	
	/*** Calculators and helpers ***/
	require($includesDir.'/DepartureFormatter.php');
	require($includesDir.'/DelayCalculator.php');
	
	
	class NotImplementedException extends Exception {}


?>
